Index: /palm/trunk/SCRIPTS/inifor_script
===================================================================
--- /palm/trunk/SCRIPTS/inifor_script	(revision 3790)
+++ /palm/trunk/SCRIPTS/inifor_script	(revision 3791)
@@ -1415,128 +849,12 @@
  column1="called on:"; column2=$(hostname)
  printf "| %-25s%-45s | \n" "$column1" "$column2"
- if [[ $create_remote_batch_job = true ]]
- then
-    column1="execution on:"; column2="$configuration_identifier (username: $remote_username)"
+ if [[ $run_on_remote = true ]]
+ then
+    column1="config. identifier:"; column2="$configuration_identifier (execute on IP: $remote_ip)"
  else
-    if [[ $running_on_remote = true ]]
-    then
-       column1="config. identifier:"; column2="$configuration_identifier (execute on IP: $remote_ip)"
-    else
-       column1="config. identifier:"; column2="$configuration_identifier (execute on IP: $local_ip)"
-    fi
+    column1="config. identifier:"; column2="$configuration_identifier (execute on IP: $local_ip)"
  fi
  printf "| %-25s%-45s | \n" "$column1" "$column2"
 
- column1="running in:"
- if [[ $running_in_batch_mode = true ]]
- then
-    column2="batch job mode"
- else
-    if [[ $create_batch_job = true  ||  $create_remote_batch_job = true ]]
-    then
-       column2="job creation mode"
-    else
-       column2="interactive run mode"
-    fi
- fi
- printf "| %-25s%-45s | \n" "$column1" "$column2"
-
- if  [[ $running_in_batch_mode = true  ||  $create_batch_job = true  ||  $create_remote_batch_job = true ]]
- then
-    if [[ "$project_account" != "" ]]
-    then
-       column1="project account number:"
-       column2="$project_account"
-       printf "| %-25s%-45s | \n" "$column1" "$column2"
-    fi
- fi
-
- if [[ -n $cores ]]
- then
-    if [[ $run_coupled_model = false ]]
-    then
-       column1="number of cores:"; column2=$cores
-    else
-       column1="number of cores:"; column2="$cores  (atmosphere: $cores_atmos, ocean: $cores_ocean)"
-    fi
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
- fi
- if [[ -n $tasks_per_node ]]
- then
-    column1="tasks per node:"; column2="$tasks_per_node (number of nodes: $nodes)"
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
-    if (( remaining_cores > 0 ))
-    then
-       column1=" "; column2="one of the nodes only filled with $remaining_cores tasks"
-       printf "| %-25s%-45s | \n" "$column1" "$column2"
-    fi
- fi
- if [[ $maximum_parallel_io_streams != $cores ]]
- then
-    column1="max par io streams:"; column2="$maximum_parallel_io_streams"
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
- fi
- if [[ $use_openmp = true ]]
- then
-    column1="threads per task:"; column2="$threads_per_task"
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
- fi
- if [[ $create_batch_job = true  ||  $create_remote_batch_job = true  ||  $running_in_batch_mode = true ]]
- then
-    column1="memory demand / PE":; column2="$memory MB"
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
-    column1="job cpu time (h:m:s):"; column2="$timestring"
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
- fi
- printf "|                                                                        | \n"
- if [[ "$source_list" != "" ]]
- then
-    if [[ "$make_options" != "" ]]
-    then
-       column1="make options:"; column2=$(echo "$make_options" | cut -c-45)
-       printf "| %-25s%-45s | \n" "$column1" "$column2"
-       line=$(echo "$make_options" | cut -c46-)
-       while [[ "$line" != "" ]]
-       do
-          column1=""
-          column2=$(echo "$line" | cut -c-45)
-          printf "| %-25s%-45s | \n" "$column1" "$column2"
-          line=$(echo "$line" | cut -c46-)
-       done
-    fi
- fi
-
- column1="cpp directives:"; column2=$(echo "$cpp_options" | cut -c-45)
- printf "| %-25s%-45s | \n" "$column1" "$column2"
- line=$(echo "$cpp_options" | cut -c46-)
- while [[ "$line" != "" ]]
- do
-    column1=""
-    column2=$(echo "$line" | cut -c-45)
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
-    line=$(echo "$line" | cut -c46-)
- done
-
- column1="compiler options:"; column2=$(echo "$compiler_options" | cut -c-45)
- printf "| %-25s%-45s | \n" "$column1" "$column2"
- line=$(echo "$compiler_options" | cut -c46-)
- while [[ "$line" != "" ]]
- do
-    column1=""
-    column2=$(echo "$line" | cut -c-45)
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
-    line=$(echo "$line" | cut -c46-)
- done
-
- column1="linker options:"; column2=$(echo "$linker_options" | cut -c-45)
- printf "| %-25s%-45s | \n" "$column1" "$column2"
- line=$(echo "$linker_options" | cut -c46-)
- while [[ "$line" != "" ]]
- do
-    column1=""
-    column2=$(echo "$line" | cut -c-45)
-    printf "| %-25s%-45s | \n" "$column1" "$column2"
-    line=$(echo "$line" | cut -c46-)
- done
 
  if [[ "$login_init_cmd" != "" ]]
@@ -1573,72 +891,11 @@
  printf "| %-25s%-45s | \n" "$column1" "$column2"
 
- if [[ "$ocean_file_appendix" = true ]]
- then
-    printf "| %-35s%-35s | \n" "suffix \"_O\" is added to local files" " "
- fi
-
- if [[ "$source_list" != "" ]]
- then
-    printf "|                                                                        | \n"
-    printf "| Files to be compiled:                                                  | \n"
-    line=$source_list
-    while [[ "$line" != "" ]]
-    do
-       linestart=$(echo $line | cut -c-70)
-       printf "| %-70s | \n" "$linestart"
-       line=$(echo "$line" | cut -c71-)
-    done
- fi
  printf "#------------------------------------------------------------------------#"
 
 
 
-    # OUTPUT OF FILE CONNECTIONS IN CASE OF TRACEBACK
- if [[ $do_trace = true ]]
- then
-    (( i = 0 ))
-    while (( i < nr_of_input_files ))
-    do
-       (( i = i + 1 ))
-       if (( i == 1 ))
-       then
-          printf "\n\n >>> INPUT-file assignments:\n"
-       fi
-       printf "\n     ${localin[$i]} :  ${absnamein[$i]}"
-    done
-    (( i = 0 ))
-    while (( i < iout ))
-    do
-       (( i = i + 1 ))
-       if (( i == 1 ))
-       then
-          printf "\n\n >>> OUTPUT-file assignments:\n"
-       fi
-       printf "\n     ${localout[$i]} :  ${pathout[$i]}"
-    done
-    (( i = 0 ))
-    while (( i < iic ))
-    do
-       (( i = i + 1 ))
-       if (( i == 1 ))
-       then
-          printf "\n\n >>> INPUT-commands:\n"
-       fi
-       printf "\n     ${in_command[$i]}" 
-    done
-    (( i = 0 ))
-    while (( i < ioc ))
-    do
-       (( i = i + 1 ))
-       if (( i == 1 ))
-       then
-          printf "\n\n >>> OUTPUT-commands:\n"
-       fi
-       printf "\n     ${out_command[$i]}" 
-    done
- fi
 
     # QUERY FOR CONTINUE
- if [[ $silent = false  &&  $running_in_batch_mode = false ]]
+ if [[ $silent = false ]]
  then
     antwort=dummy
@@ -1658,370 +915,226 @@
        locat=user_abort; (( iec = 0 )); exit
     fi
-    if [[ $create_batch_job = true  ||  $create_remote_batch_job = true ]]
-    then
-       printf "\n ***  batch-job will be created and submitted"
+    if [[ $run_on_remote ]]
+    then
+       printf "\n ***  inifor will now run on remote"
     else
-       printf "\n ***  PALMRUN will now continue to execute on this machine"
+       printf "\n ***  inifor will now continue to execute on this machine"
     fi
  fi
 
  
-
-    # PROVIDE FILES TO EXECUTE PALM AND CREATE THE EXECUTABLE
- if [[ $restart_run = false  &&  $running_in_batch_mode = false ]]
- then
-
-    if [[ $create_batch_job = true  ||  $create_remote_batch_job  = true ]]
-    then
-       printf "\n\n  *** creating executable and other sources for the remote host\n"
+    # NOW PERFORM THOSE ACTIONS REQUIRED TO EXECUTE INIFOR ON THIS MACHINE (COPYING I/O FILES)
+    # CHANGE TO THE TEMPORARY WORKING DIRECTORY
+
+ mkdir -p  $tempdir
+ chmod  go+rx  $tempdir
+ cd  $tempdir
+
+ printf "\n  *** changed to temporary directory: $tempdir"
+
+
+
+    # PROVIDE THE INPUT FILES
+    # LOOP OVER ALL ACTIVATED FILES (LISTED IN THE CONFIGURATION FILE)
+ optional_files_missing=false
+ (( i = 0 ))
+ while (( i < nr_of_input_files ))
+ do
+    (( i = i + 1 ))
+    if (( i == 1 ))
+    then
+       printf "\n\n  *** providing INPUT-files:\n$dashes"
+    fi
+
+
+       # SKIP OPTIONAL FILES, IF THEY DO NOT EXIST
+    if [[ "${actionin[$i]}" = unavailable ]]
+    then
+       optional_files_missing=true
+       continue
+    fi
+
+       # CHECK FOR SINGLE FILE (SERIAL RUN) OR DIRECTORY (ONE FILE PER CORE FOR PARELLEL EXECUTION)
+    files_for_cores=false; filetype=file
+    if [[ "${actionin[$i]}" = pe  &&  -n $cores ]]
+    then
+       files_for_cores=true; filetype=files
+       actionin[$i]=""
+    elif [[ "${actionin[$i]}" = pe  &&  ! -n $cores ]]
+    then
+       actionin[$i]=""
+    elif [[ "${actionin[$i]}" = lnpe  &&  -n $cores ]]
+    then
+       files_for_cores=true; filetype=files
+       actionin[$i]="ln"
+    elif [[ "${actionin[$i]}" = lnpe  &&  ! -n $cores ]]
+    then
+       actionin[$i]="ln"
+    fi
+
+    if [[ $files_for_cores = true ]]
+    then
+       printf "\n  >>> INPUT: ${absnamein[$i]}/....  to  ${localin[$i]}"
     else
-       printf "\n\n  *** creating executable and other sources for the local host\n"
-    fi
-
-       # FIRST CHECK, IF A MAKE DEPOSITORY EXISTS, AND IF NOT, ASK THE USER IF
-       # IT SHALL BE CREATED
-    ask_for_make_depository=false
-    if [[ $create_remote_batch_job = true ]]
-    then
-
-       line=`grep %base_directory $config_file`
-       make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${configuration_identifier}
-       ssh  -q  $ssh_key  ${remote_username}@${remote_ip} "[[ ! -d ${make_depository} ]]  &&  echo depository not found" 2>&1  | tee ${configuration_identifier}_last_make_protokoll
-
-       if [[ $(grep -c "depository not found" ${configuration_identifier}_last_make_protokoll) != 0 ]]
-       then
-          printf "\n\n  +++ make depository \"${make_depository}\""
-          printf "\n      on remote host not found!"
-          ask_for_make_depository=true
-       fi
-       rm ${configuration_identifier}_last_make_protokoll
-
-    else
-
-          # CHECK FOR MAKE_DEPOSITORY ON THE LOCAL HOST
-       make_depository=${base_directory}/MAKE_DEPOSITORY_${configuration_identifier}
-       if [[ ! -d ${make_depository} ]]
-       then
-          printf "\n\n  +++ make depository \"${make_depository}\""
-          printf "\n      on local host not found!"
-          ask_for_make_depository=true
-       fi
-
-    fi
-
-    if [[ $ask_for_make_depository = true ]]
-    then
-
-       antwort=dummy
-       printf "\n\n"
-       printf "  >>> Create a new one (y/n) ?  "
-       while  read antwort
-       do
-          if [[ "$antwort" != y  &&  "$antwort" != Y  &&  "$antwort" != n  &&  "$antwort" != N ]]
-          then
-             printf "  >>> Create a new one (y/n) ?  "
-          else
-             break
-          fi
-       done
-       if [[ $antwort = n  ||  $antwort = N ]]
-       then
-          locat=user_abort; (( iec = 0 )); exit
-       fi
-
-       if [[ $do_trace = true ]]
-       then
-          palmbuild  -c $configuration_identifier
+       printf "\n  >>> INPUT: ${absnamein[$i]}  to  ${localin[$i]}"
+    fi
+
+       # INPUT-FILES TO BE LINKED
+    if [[ "${actionin[$i]}" = ln ]]
+    then
+
+       printf "\n      $filetype will be linked"
+       if [[ $files_for_cores = false ]]
+       then
+          if [[ -f "${absnamein[$i]}" ]]
+          then
+             ln  ${absnamein[$i]}  ${localin[$i]}
+             got_tmp[$i]=true
+          fi
        else
-          palmbuild  -v  -c $configuration_identifier
-       fi
-
-       if [[ ${PIPESTATUS[0]} != 0 ]]
-       then
-   
-              # ABORT IN CASE OF COMPILATION PROBLEMS
-          printf "\n  +++ error while compiling for the MAKE_DEPOSITORY"
-          locat=make_depository
-          exit
+          if [[ -d "${absnamein[$i]}" ]]
+          then
+             mkdir -p ${localin[$i]}
+             cd ${absnamein[$i]}
+             for file in $(ls *)
+             do
+                ln $file $tempdir/${localin[$i]}
+             done >|/dev/null 2>&1
+             cd $tempdir
+          fi
+
+             # IF "ln -f" HAS FAILED DO A NORMAL COPY "cp -r"
+          if [[ ! -f "${localin[$i]}/_000000" ]]
+          then
+             printf "\n  --- WARNING: ln failed, using cp instead (might be time consuming...)"
+             cp -r  ${absnamein[$i]}/*  ${localin[$i]}
+          fi
+
+          got_tmp[$i]=true
+       fi
+    fi
+
+       # FILE IS STORED IN THE RESPECTIVE DIRECTORY GIVEN IN THE CONFIGURATION FILE
+    if [[ "${actionin[$i]}" = ""  ||  "${actionin[$i]}" = "di"  ||  "${actionin[$i]}" = "tr"  ||  "${actionin[$i]}" = "npe" ]]
+    then
+
+       if [[ "${actionin[$i]}" = "npe"  &&  -n $cores ]]
+       then
+
+             # FILE COPIES ARE PROVIDED FOR ALL CORES
+             # EACH FILE GETS A UNIQUE FILENAME WITH A FOUR DIGIT NUMBER
+          printf "\n      file will be provided for $cores processors"
+          mkdir -p ${localin[$i]}
+          ival=$cores
+          (( ii = 0 ))
+          while (( ii <= ival-1 ))
+          do
+             if (( ii < 10 ))
+             then
+                cp  ${absnamein[$i]}  ${localin[$i]}/_000$ii
+             elif (( ii < 100 ))
+             then
+                cp  ${absnamein[$i]}  ${localin[$i]}/_00$ii
+             elif (( ii < 1000 ))
+             then
+                cp  ${absnamein[$i]}  ${localin[$i]}/_0$ii
+             else
+                cp  ${absnamein[$i]}  ${localin[$i]}/_$ii
+             fi
+             (( ii = ii + 1 ))
+          done
+
        else
-          echo "  *** now continue with creating executable and other sources"
-       fi
-
-    fi
-
-       # NOW CREATE THE SOURCES_FOR_RUN FOLDER
-    palmbuild  -v  $use_existing_sources_folder  -c $configuration_identifier  -r $run_identifier
-
-    if [[ ${PIPESTATUS[0]} != 0 ]]
-    then
-
-           # ABORT IN CASE OF COMPILATION PROBLEMS
-       printf "\n  +++ error while creating executable and/or other sources"
-       locat=execution
-       rm -rf  ${base_directory}/${sources_for_run_catalog}
-       exit
-
-    else
-
-       printf "  *** executable and other sources created\n"
-       rm -rf  ${base_directory}/${sources_for_run_catalog}
-
-    fi
-
- fi
-
-
-    # WHEN CREATING A REMOTE BATCH JOB, THOSE INPUT FILES WITH TRANSFER-ATTRIBUT
-    # WILL BE COPIED TO THE REMOTE HOST
- if [[ $create_remote_batch_job = true ]]
- then
-    (( i = 0 ))
-    while (( i < nr_of_input_files ))
-    do
-       (( i = i + 1 ))
-       if [[ "${actionin[$i]}" = tr ]]
-       then
-          eval inputfile=${pathin[$i]}/${frelin[$i]}
-          scp  -q $ssh_key  $PORTOPT  $inputfile  ${remote_username}@${remote_ip}:${fast_io_catalog}/${sources_for_run_catalog}/${frelin[$i]}
-       fi
-    done
-    if (( i > 0 ))
-    then
-       printf "\n\n  *** input files have been copied to the remote host\n"
-    fi
- fi
- 
-
-    # NOW PERFORM THOSE ACTIONS REQUIRED TO EXECUTE THE PROGRAM (PALM) ON THIS MACHINE
-    # (COMPILING/LINKING, EXECUTING, COPYING I/O FILES)
- if [[ $create_batch_job = false  &&  $create_remote_batch_job = false ]]
- then
-
-       # CHANGE TO THE TEMPORARY WORKING DIRECTORY
-    if [[ $running_in_batch_mode = false ]]
-    then
-          # CREATE THE DIRECTORY AND COPY FILES FROM SOURCES_FOR_RUN_... TO THAT
-          # FOLDER
-       mkdir -p  $tempdir
-       chmod  go+rx  $tempdir
-       cd  $tempdir
-       cp  ${fast_io_catalog}/${sources_for_run_catalog}/{*,.[!.]*}  $tempdir
-       printf "\n  *** changed to temporary directory: $tempdir"
-
-    else
-
-          # IN BATCH MODE PALMRUN IS CALLED FROM TEMPDIR
-       printf "\n  *** running in temporary directory: $tempdir"
-
-    fi
-
-
-       # PROVIDE THE INPUT FILES
-       # LOOP OVER ALL ACTIVATED FILES (LISTED IN THE CONFIGURATION FILE)
-    optional_files_missing=false
-    (( i = 0 ))
-    while (( i < nr_of_input_files ))
-    do
-       (( i = i + 1 ))
-       if (( i == 1 ))
-       then
-          printf "\n\n  *** providing INPUT-files:\n$dashes"
-       fi
-
-
-          # SKIP OPTIONAL FILES, IF THEY DO NOT EXIST
-       if [[ "${actionin[$i]}" = unavailable ]]
-       then
-          optional_files_missing=true
-          continue
-       fi
-
-          # CHECK FOR SINGLE FILE (SERIAL RUN) OR DIRECTORY (ONE FILE PER CORE FOR PARELLEL EXECUTION)
-       files_for_cores=false; filetype=file
-       if [[ "${actionin[$i]}" = pe  &&  -n $cores ]]
-       then
-          files_for_cores=true; filetype=files
-          actionin[$i]=""
-       elif [[ "${actionin[$i]}" = pe  &&  ! -n $cores ]]
-       then
-          actionin[$i]=""
-       elif [[ "${actionin[$i]}" = lnpe  &&  -n $cores ]]
-       then
-          files_for_cores=true; filetype=files
-          actionin[$i]="ln"
-       elif [[ "${actionin[$i]}" = lnpe  &&  ! -n $cores ]]
-       then
-          actionin[$i]="ln"
-       fi
-
-       if [[ $files_for_cores = true ]]
-       then
-          printf "\n  >>> INPUT: ${absnamein[$i]}/....  to  ${localin[$i]}"
-       else
-          printf "\n  >>> INPUT: ${absnamein[$i]}  to  ${localin[$i]}"
-       fi
-
-          # INPUT-FILES TO BE LINKED
-       if [[ "${actionin[$i]}" = ln ]]
-       then
-
-          printf "\n      $filetype will be linked"
-          if [[ $files_for_cores = false ]]
-          then
-             if [[ -f "${absnamein[$i]}" ]]
-             then
-                ln  ${absnamein[$i]}  ${localin[$i]}
-                got_tmp[$i]=true
-             fi
-          else
-             if [[ -d "${absnamein[$i]}" ]]
-             then
-                mkdir -p ${localin[$i]}
+
+          if [[ $files_for_cores = true ]]
+          then
+
+                # PROVIDE FILES FOR EACH CORE
+                # FIRST CREATE THE LOCAL DIRECTORY, THEN COPY FILES
+                # FROM THE PERMANENT DIRECTORY BY LINKING THEM TO THE LOCAL ONE
+             printf "\n      providing $cores files for the respective cores"
+             mkdir -p ${localin[$i]}
+            	if [[ $link_local_input = true ]]
+             then
+                printf "      files will be linked\n"
                 cd ${absnamein[$i]}
                 for file in $(ls *)
                 do
-                   ln $file $tempdir/${localin[$i]}
-                done >|/dev/null 2>&1
+                   ln -f $file  ${localin[$i]}
+                done
                 cd $tempdir
              fi
 
-                # IF "ln -f" HAS FAILED DO A NORMAL COPY "cp -r"
+                # IF "ln -f" FAILED OR IF "$link_local_input = false" DO A NORMAL "cp -r"
              if [[ ! -f "${localin[$i]}/_000000" ]]
              then
-                printf "\n  --- WARNING: ln failed, using cp instead (might be time consuming...)"
+                if [[ $link_local_input = true ]]
+               	then
+                 		printf "\n  --- WARNING: ln failed, using cp instead (might be time consuming...)"
+                fi
                 cp -r  ${absnamein[$i]}/*  ${localin[$i]}
              fi
 
-             got_tmp[$i]=true
-          fi
-       fi
-
-          # FILE IS STORED IN THE RESPECTIVE DIRECTORY GIVEN IN THE CONFIGURATION FILE
-       if [[ "${actionin[$i]}" = ""  ||  "${actionin[$i]}" = "di"  ||  "${actionin[$i]}" = "tr"  ||  "${actionin[$i]}" = "npe" ]]
-       then
-
-          if [[ "${actionin[$i]}" = "npe"  &&  -n $cores ]]
-          then
-
-                # FILE COPIES ARE PROVIDED FOR ALL CORES
-                # EACH FILE GETS A UNIQUE FILENAME WITH A FOUR DIGIT NUMBER
-             printf "\n      file will be provided for $cores processors"
-             mkdir -p ${localin[$i]}
-             ival=$cores
-             (( ii = 0 ))
-             while (( ii <= ival-1 ))
-             do
-                if (( ii < 10 ))
+          else
+
+                # PROVIDE FILE FOR RUNS ON A SINGLE CORE
+           		if [[ $link_local_input = true ]]
+            	then
+                printf "      file will be linked\n"
+                ln -f  ${absnamein[$i]}  ${localin[$i]}
+            	fi
+               	# If "ln -f" fails or if "$link_local_input = false" do a normal "cp"
+            	if [[ ! -f "${localin[$i]}" ]]
+             then
+                if [[ $link_local_input = true ]]
                 then
-                   cp  ${absnamein[$i]}  ${localin[$i]}/_000$ii
-                elif (( ii < 100 ))
+                   printf "\n  --- WARNING: ln failed, using cp instead (might be time consuming...)"
+                fi
+                if [[ $running_on_remote = true  &&  "${actionin[$i]}" = tr ]]
                 then
-                   cp  ${absnamein[$i]}  ${localin[$i]}/_00$ii
-                elif (( ii < 1000 ))
-                then
-                   cp  ${absnamein[$i]}  ${localin[$i]}/_0$ii
+                   mv  ${absnamein[$i]}  ${localin[$i]}
                 else
-                   cp  ${absnamein[$i]}  ${localin[$i]}/_$ii
+		                 cp  ${absnamein[$i]}  ${localin[$i]}
                 fi
-                (( ii = ii + 1 ))
-             done
-
-          else
-
-             if [[ $files_for_cores = true ]]
-             then
-
-                   # PROVIDE FILES FOR EACH CORE
-                   # FIRST CREATE THE LOCAL DIRECTORY, THEN COPY FILES
-                   # FROM THE PERMANENT DIRECTORY BY LINKING THEM TO THE LOCAL ONE
-                printf "\n      providing $cores files for the respective cores"
-                mkdir -p ${localin[$i]}
-	              	if [[ $link_local_input = true ]]
-		              then
-		                 printf "      files will be linked\n"
-		                 cd ${absnamein[$i]}
-		                 for file in $(ls *)
-		                 do
-		                    ln -f $file  ${localin[$i]}
-		                 done
-		                 cd $tempdir
-		              fi
-
-                   # IF "ln -f" FAILED OR IF "$link_local_input = false" DO A NORMAL "cp -r"
-		              if [[ ! -f "${localin[$i]}/_000000" ]]
-		              then
-		                 if [[ $link_local_input = true ]]
-		                	then
-	                   		printf "\n  --- WARNING: ln failed, using cp instead (might be time consuming...)"
-		                 fi
-		                 cp -r  ${absnamein[$i]}/*  ${localin[$i]}
-		              fi
-
-             else
-
-                   # PROVIDE FILE FOR RUNS ON A SINGLE CORE
-              		if [[ $link_local_input = true ]]
-	              	then
-		                 printf "      file will be linked\n"
-		                 ln -f  ${absnamein[$i]}  ${localin[$i]}
-	              	fi
-	                 	# If "ln -f" fails or if "$link_local_input = false" do a normal "cp"
-	              	if [[ ! -f "${localin[$i]}" ]]
-                then
-		                 if [[ $link_local_input = true ]]
-	                  then
-                      printf "\n  --- WARNING: ln failed, using cp instead (might be time consuming...)"
-		                 fi
-                   if [[ $running_on_remote = true  &&  "${actionin[$i]}" = tr ]]
-                   then
-                      mv  ${absnamein[$i]}  ${localin[$i]}
-                   else
-   		                 cp  ${absnamein[$i]}  ${localin[$i]}
-                   fi
-                fi
-             fi
-          fi
-       fi
-
-    done
-    if (( i != 0 ))
-    then
-       if [[ $optional_files_missing = true ]]
-       then
-          printf "\n  *** INFORMATIVE: some optional INPUT-files are not present"
-       fi
-       printf "\n$dashes\n  *** all INPUT-files provided \n"
-    fi
-
-
-       # EXECUTE INPUT-COMMANDS GIVEN IN THE CONFIGURATION FILE
-    (( i = 0 ))
-    while (( i < iic ))
-    do
-       (( i = i + 1 ))
-       if (( i == 1 ))
-       then
-          printf "\n\n  *** execution of INPUT-commands:\n$dashes"
-       fi
-       printf "\n  >>> ${in_command[$i]}"
-       eval  ${in_command[$i]}
-       if (( i == iic ))
-       then
-          printf "\n$dashes\n"
-       fi
-    done
-
-
-    # CHECK IF THE PROGRESS BAR NEEDS TO BE DISABLED
-    if [[ $running_in_batch_mode = true  ||  $running_in_test_mode = true ]]
-    then
-       progress_bar_disabled=true
-    else
-       progress_bar_disabled=false
-    fi
+             fi
+          fi
+       fi
+    fi
+
+ done
+ if (( i != 0 ))
+ then
+    if [[ $optional_files_missing = true ]]
+    then
+       printf "\n  *** INFORMATIVE: some optional INPUT-files are not present"
+    fi
+    printf "\n$dashes\n  *** all INPUT-files provided \n"
+ fi
+
+
+    # EXECUTE INPUT-COMMANDS GIVEN IN THE CONFIGURATION FILE
+ (( i = 0 ))
+ while (( i < iic ))
+ do
+    (( i = i + 1 ))
+    if (( i == 1 ))
+    then
+       printf "\n\n  *** execution of INPUT-commands:\n$dashes"
+    fi
+    printf "\n  >>> ${in_command[$i]}"
+    eval  ${in_command[$i]}
+    if (( i == iic ))
+    then
+       printf "\n$dashes\n"
+    fi
+ done
 
 
        # CREATE THE NAMELIST-FILE WITH VALUES OF ENVIRONMENT-VARIABLES REQUIRED BY PALM
        # (FILE ENVPAR WILL BE READ BY PALM)
+       # TODO: this has to be adjusted for inifor, i.e. the values of the script options
+       #       have to be converted to NAMELIST variables which are then read by inifor.
+       #       Required PALM parameters could also be extracted from local file PARIN
+       #       and added here 
     cat  >  ENVPAR  <<  EOF
  &envpar  run_identifier = '$run_identifier', host = '$configuration_identifier',
